
Redmine - Defect #6673

Error with links of users and projects

2010-10-14 15:27 - Alexey Aleynikov

Status: Closed Start date: 2010-10-14

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.0.1

Description

I saw http://www.redmine.org/issues/5608, but it still not work: **********

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your redMine administrator for assistance.

Back 

I working on Redmine 1.0.1.stable

Ruby 1.8.7 (2010-08-16 patchlevel 302) [x86_64-linux]

Rails 2.3.8

Log shows:

**********

ActionView::TemplateError (missing interpolation argument in "%a,  %b %Y, %H:%M:%S %z" ({:object=>РЎСЂРґ РћРєС‚ 13

16:46:34 +0400 2010} given)) on line #30 of app/views/issues/_list.rhtml:

27:     <tr id="issue-<= issue.id >" class="hascontextmenu <= cycle('odd', 'even') > <= issue.css_classes > <= level > 0 ? "idnt

idnt-#{level}" : nil >">

28:         <td class="checkbox"><= check_box_tag("ids[]", issue.id, false, :id => nil) ></td>

29:         <td class="id"><= link_to issue.id, :controller => 'issues', :action => 'show', :id => issue ></td>

30:         < query.columns.each do |column| ><= content_tag 'td', column_content(column, issue), :class => column.name >< end >

31:     </tr>

32:     < end -%>

33:     </tbody>   

/var/lib/gems/1.8/gems/i18n-0.4.1/lib/i18n/backend/base.rb:186:in `interpolate_without_deprecated_syntax'

/var/lib/gems/1.8/gems/i18n-0.4.1/lib/i18n/backend/base.rb:49:in `translate'

/var/lib/gems/1.8/gems/i18n-0.4.1/lib/i18n.rb:152:in `t'

/var/lib/gems/1.8/gems/i18n-0.4.1/lib/i18n/backend/base.rb:62:in `localize'

/var/lib/gems/1.8/gems/i18n-0.4.1/lib/i18n.rb:231:in `l'

lib/redmine/i18n.rb:48:in `format_time'

app/helpers/queries_helper.rb:41:in `column_content'

app/views/issues/_list.rhtml:30:in `_run_rhtml_app47views47issues47_list46rhtml_locals_issues_list_object_query'

app/views/issues/_list.rhtml:30:in `each'

app/views/issues/_list.rhtml:30:in `_run_rhtml_app47views47issues47_list46rhtml_locals_issues_list_object_query'

app/helpers/issues_helper.rb:27:in `issue_list'

app/helpers/issues_helper.rb:23:in `each'

app/helpers/issues_helper.rb:23:in `issue_list'

app/views/issues/_list.rhtml:16:in `_run_rhtml_app47views47issues47_list46rhtml_locals_issues_list_object_query'

app/views/issues/_list.rhtml:1:in `_run_rhtml_app47views47issues47_list46rhtml_locals_issues_list_object_query'

app/views/issues/index.rhtml:62:in `_run_rhtml_app47views47issues47index46rhtml'

app/controllers/issues_controller.rb:83:in `index'

app/controllers/issues_controller.rb:82:in `index'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/abstract_request_handler.rb:513:in

`accept_and_process_next_request'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/classic_rails/application_spawner.rb:321:in
`start_request_handler'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/classic_rails/application_spawner.rb:275:in

`handle_spawn_application'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/utils.rb:479:in `safe_fork'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/classic_rails/application_spawner.rb:270:in

`handle_spawn_application'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/abstract_server.rb:357:in `__send__'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/abstract_server.rb:180:in `start'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/abstract_server.rb:357:in `__send__'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

/var/lib/gems/1.8/gems/passenger-3.0.0.pre4/helper-scripts/passenger-spawn-server:99

Rendering /var/www/home/hosting_aleynikov/projects/redmine/releases/test/public/500.html (500 Internal Server Error)

or this:

Processing AdminController#projects (for 95.72.25.10 at 2010-10-14 14:40:30) [GET]

Parameters: {"action"=>"projects", "controller"=>"admin"}

Rendering template within layouts/admin

Rendering admin/projects

ActionView::TemplateError (missing interpolation argument in "%m/%{count}/%Y" ({:object=>Sun, 19 Sep 2010} given)) on line #33

of app/views/admin/projects.rhtml:

30:     <td class="name"><%= link_to_project(project, :action => 'settings') ></td>

31:     <td><= textilizable project.short_description, :project => project ></td>

32:     <td align="center"><= checked_image project.is_public? ></td>

33:     <td align="center"><= format_date(project.created_on) ></td>

34:   <td class="buttons">

35:     <= link_to(l(:button_archive), { :controller => 'projects', :action => 'archive', :id => project, :status => params[:status] }, :confirm

=> l(:text_are_you_sure), :method => :post, :class => 'icon icon-lock') if project.active? >

36:     <= link_to(l(:button_unarchive), { :controller => 'projects', :action => 'unarchive', :id => project, :status => params[:status] },

:method => :post, :class => 'icon icon-unlock') if !project.active? && (project.parent.nil? || project.parent.active?) %>

/var/lib/gems/1.8/gems/i18n-0.4.1/lib/i18n/backend/base.rb:186:in `interpolate_without_deprecated_

syntax'

    /var/lib/gems/1.8/gems/i18n-0.4.1/lib/i18n/backend/base.rb:49:in `translate'

    /var/lib/gems/1.8/gems/i18n-0.4.1/lib/i18n.rb:152:in `t'

    /var/lib/gems/1.8/gems/i18n-0.4.1/lib/i18n/backend/base.rb:62:in `localize'

    /var/lib/gems/1.8/gems/i18n-0.4.1/lib/i18n.rb:231:in `l'

    lib/redmine/i18n.rb:40:in `format_date'

    app/views/admin/projects.rhtml:33:in `_run_rhtml_app47views47admin47projects46rhtml'

    app/helpers/application_helper.rb:242:in `project_tree'

    app/helpers/application_helper.rb:238:in `each'

    app/helpers/application_helper.rb:238:in `project_tree'

    app/views/admin/projects.rhtml:28:in `_run_rhtml_app47views47admin47projects46rhtml'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/rack/request_handler.rb:96:i

n `process_request'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/abstract_request_handler.rb:

513:in `accept_and_process_next_request'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/abstract_request_handler.rb:

274:in `main_loop'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/classic_rails/application_sp
awner.rb:321:in `start_request_handler'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/classic_rails/application_sp

awner.rb:275:in `send'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/classic_rails/application_sp

awner.rb:275:in `handle_spawn_application'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/utils.rb:479:in `safe_fork'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/classic_rails/application_sp

awner.rb:270:in `handle_spawn_application'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/abstract_server.rb:357:in `_

_send__'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/abstract_server.rb:357:in `s

erver_main_loop'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/abstract_server.rb:206:in `s

tart_synchronously'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/abstract_server.rb:180:in `s

tart'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/classic_rails/application_sp

awner.rb:149:in `start'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/spawn_manager.rb:219:in `spa

wn_rails_application'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/abstract_server_collection.r

b:132:in `lookup_or_add'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/spawn_manager.rb:214:in `spa

wn_rails_application'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/abstract_server_collection.r

b:82:in `synchronize'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/abstract_server_collection.r

b:79:in `synchronize'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/spawn_manager.rb:213:in `spa

wn_rails_application'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/spawn_manager.rb:132:in `spa

wn_application'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/spawn_manager.rb:275:in `han

dle_spawn_application'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/abstract_server.rb:357:in `_

_send__'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/abstract_server.rb:357:in `s

erver_main_loop'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/lib/phusion_passenger/abstract_server.rb:206:in `s

tart_synchronously'

    /var/lib/gems/1.8/gems/passenger-3.0.0.pre4/helper-scripts/passenger-spawn-server:99

 Rendering /var/www/home/hosting_aleynikov/projects/redmine/releases/test/public/500.html (500 Internal Server Error)

Processing AdminController#projects (for 95.72.25.10 at 2010-10-14 14:40:34) [GET]

Parameters: {"action"=>"projects", "controller"=>"admin"}

Rendering template within layouts/admin

Rendering admin/projects

Please, help.

Related issues:

Related to Redmine - Feature #6887: Upgrade to Rails 2.3.11 Closed 2010-11-13

History

#1 - 2010-10-14 15:56 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Duplicate

You should use rails 2.3.5, not 2.3.8, and #5608 has been merged in 1.0.2, not in 1.0.1.

You can either upgrade redmine to 1.0.2, or remove the i18n gem version 0.4.1 and install 0.3.7 instead.

#2 - 2010-10-14 18:36 - Alexey Aleynikov
- % Done changed from 0 to 100

Powered by TCPDF (www.tcpdf.org)

2025-08-23 4/4

http://www.tcpdf.org

